> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Whoami



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/user/whoami
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/user/whoami:
    get:
      tags:
        - user
      summary: Get Whoami
      operationId: get_whoami_api_v1_user_whoami_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericResponse_WhoamiResponse_'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    GenericResponse_WhoamiResponse_:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/WhoamiResponse'
            - type: 'null'
          description: Response data
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          description: Response status
      type: object
      title: GenericResponse[WhoamiResponse]
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    WhoamiResponse:
      properties:
        id:
          type: string
          title: Id
        role:
          $ref: '#/components/schemas/UserRoleEnum'
          default: USER
        createdAt:
          type: string
          format: date-time
          title: Createdat
        name:
          type: string
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        email:
          type: string
          title: Email
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
        emailVerified:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Emailverified
        hasBetaAccess:
          type: boolean
          title: Hasbetaaccess
          default: false
        isBanned:
          type: boolean
          title: Isbanned
          default: false
        skipPrepay:
          type: boolean
          title: Skipprepay
          default: false
        blacklist:
          items:
            type: string
          type: array
          title: Blacklist
          default: []
        scope:
          additionalProperties:
            anyOf:
              - $ref: '#/components/schemas/PermissionType'
              - type: 'null'
          type: object
          title: Scope
          default: {}
      type: object
      required:
        - name
        - email
      title: WhoamiResponse
      description: Extended User response that includes token scope permissions.
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    UserRoleEnum:
      type: string
      enum:
        - ADMIN
        - MANAGER
        - USER
      title: UserRoleEnum
    PermissionType:
      properties:
        read:
          type: boolean
          title: Read
        write:
          type: boolean
          title: Write
      type: object
      required:
        - read
        - write
      title: PermissionType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````